{% extends "skeleton.html.twig" %}

{% block pageTitle %}
{% if path(app.request.attributes.get('_route'), app.request.attributes.get('_route_params')) == "/sort-id=1" %}
Catégorie Romans
{% elseif path(app.request.attributes.get('_route'), app.request.attributes.get('_route_params')) == "/sort-id=2" %}
Catégorie Sérieux
{% elseif path(app.request.attributes.get('_route'), app.request.attributes.get('_route_params')) == "/sort-id=3" %}
Catégorie Découverte
{% endif %}
{% endblock pageTitle %}

{% block pageBody %}
<div class="col-md-12 pt-4">
        {% include "Ressources/carroussel.html.twig" with {'row': blogPosts|slice(0,3)} %}
    </div>
<div class="col-md-12">
    <h1 class="my-4">The Nice Blog - {{category.title}}</h1>
    {# Generate automatically blogposts from bdd #}
    <div class="row">
        {% for row in blogPosts %}
        <div class="col-sm-6 d-flex align-items-stretch">
            {% include "Ressources/postCard.html.twig" with {'row': row, 'list': true} %}
        </div>
        {% endfor %}
    </div>
</div>
{% endblock pageBody %}